javax.swing.event

## Class ChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.ChangeEvent

- All Implemented Interfaces:
    Serializable

      public class ChangeEvent
      extends EventObject

  ChangeEvent is used to notify interested parties that state has changed in the event source.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeEvent(Object source)` Constructs a ChangeEvent object.

  - ### Method Summary

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeEvent

          public ChangeEvent(Object source)

      Constructs a ChangeEvent object.
      Parameters:
        `source` - the Object that is the source of the event (typically `this`)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.